=== debian/changelog ===
ros-foxy-swri-transform-util (3.5.2-3focal) focal; urgency=high

  * Fix dependencies (#704 <https://github.com/danthony06/marti_common/issues/704>)
    * Fixing build process so dependencies are correctly exported.
  * Make timeout 0.1 seconds instead of 0 (#694 <https://github.com/danthony06/marti_common/issues/694>)
  * Set origin (#696 <https://github.com/danthony06/marti_common/issues/696>)
    * Improved origin initialization
    ---------
    Co-authored-by: tcappellari <mailto:tiffany.cappellari@swri.org>
  * Contributors: David Anthony, Tiffany Cappellari, Veronica Knisley

 -- P. J. Reed <preed@swri.org>  Tue, 30 May 2023 05:00:00 -0000

ros-foxy-swri-transform-util (3.5.1-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 29 Nov 2022 06:00:00 -0000

ros-foxy-swri-transform-util (3.5.0-3focal) focal; urgency=high

  * Fix ament exports (#693 <https://github.com/swri-robotics/marti_common/issues/693>)
    * Fix ament exports
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 11 Oct 2022 05:00:00 -0000

ros-foxy-swri-transform-util (3.4.2-3focal) focal; urgency=high

  * Add Humble Support (#691 <https://github.com/swri-robotics/marti_common/issues/691>)
    * Adding Humble support based on @shrijitsingh99 PR in https://github.com/swri-robotics/marti_common/pull/685
  * Contributors: David Anthony, Shrijit Singh

 -- P. J. Reed <preed@swri.org>  Mon, 10 Oct 2022 05:00:00 -0000

ros-foxy-swri-transform-util (3.3.2-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 24 Nov 2020 06:00:00 -0000

ros-foxy-swri-transform-util (3.3.1-3focal) focal; urgency=high

  * Fix bad conversion when 90 degree yaw specified (#599 <https://github.com/swri-robotics/marti_common/issues/599>)
  * Contributors: Alex Youngs

 -- P. J. Reed <preed@swri.org>  Wed, 19 Aug 2020 05:00:00 -0000

ros-foxy-swri-transform-util (3.3.0-3focal) focal; urgency=high

  * Add python wgs84 transformer ros2 (#596 <https://github.com/swri-robotics/marti_common/issues/596>)
  * Improve object transformer to take into account the pose of the object (#589 <https://github.com/swri-robotics/marti_common/issues/589>) (#591 <https://github.com/swri-robotics/marti_common/issues/591>)
  * Add GitHub Actions for CI (ROS2) (#586 <https://github.com/swri-robotics/marti_common/issues/586>)
  * Contributors: P. J. Reed, Alex Youngs, Matthew Bries

 -- P. J. Reed <preed@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-foxy-swri-transform-util (3.2.1-3focal) focal; urgency=high

  * ROS Foxy support (#582 <https://github.com/swri-robotics/marti_common/issues/582>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-foxy-swri-transform-util (3.2.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-foxy-swri-transform-util (3.1.0-3focal) focal; urgency=high

  * Fix swri_transform_util::TransformManager initialization issues
  * Implement initialize_origin.py in ROS Eloquent
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 30 Mar 2020 05:00:00 -0000

ros-foxy-swri-transform-util (3.0.5-3focal) focal; urgency=high

  * Also add NavSatFix support to swri_transform_util::LocalXyUtil (#569 <https://github.com/swri-robotics/marti_common/issues/569>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 10 Mar 2020 05:00:00 -0000

ros-foxy-swri-transform-util (3.0.4-3focal) focal; urgency=high

  * ROS 2 Eloquent compatibility (#568 <https://github.com/swri-robotics/marti_common/issues/568>)
  * Replace boost::array with std::array (#567 <https://github.com/swri-robotics/marti_common/issues/567>)
  * Fix a crash that happened due to an initialization error (#566 <https://github.com/swri-robotics/marti_common/issues/566>)
  * Fix TransformManager so it works in ROS2 (#565 <https://github.com/swri-robotics/marti_common/issues/565>)
  * Port ObstacleTransformer node to ROS2 (#559 <https://github.com/swri-robotics/marti_common/issues/559>)
  * Remove "nodelets" directory (#558 <https://github.com/swri-robotics/marti_common/issues/558>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 06:00:00 -0000

ros-foxy-swri-transform-util (3.0.3-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-foxy-swri-transform-util (3.0.2-3focal) focal; urgency=high

  * Comment out ament_cmake_gtest (#555 <https://github.com/pjreed/marti_common/issues/555>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-foxy-swri-transform-util (3.0.1-3focal) focal; urgency=high

  * Add missing dependency on Boost::thread to swri_transform_util (#554 <https://github.com/pjreed/marti_common/issues/554>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-foxy-swri-transform-util (3.0.0-3focal) focal; urgency=high

  * ROS2 Dashing conversion (#549 <https://github.com/pjreed/marti_common/issues/549>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-foxy-swri-transform-util (2.10.0-3focal) focal; urgency=high

  * Support in initialize_origin.py specifying custom ROS topic in parameter (#544 <https://github.com/swri-robotics/marti_common/issues/544>)
  * Fix get relative transform (#546 <https://github.com/swri-robotics/marti_common/issues/546>)
  * Contributors: Arkady Shapkin, Matthew

 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-foxy-swri-transform-util (2.9.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-foxy-swri-transform-util (2.8.0-3focal) focal; urgency=high

  * Reduce the number of local_xy subscribers from 3 per transform manager to 1 (#537 <https://github.com/swri-robotics/marti_common/issues/537>)
  * Add dynamic parameters (#532 <https://github.com/swri-robotics/marti_common/issues/532>)

