=== debian/control ===
Source: ros-foxy-swri-transform-util
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgeos-dev, libproj-dev, libyaml-cpp-dev, pkg-config, ros-foxy-ament-cmake, ros-foxy-ament-cmake-python, ros-foxy-cv-bridge, ros-foxy-diagnostic-msgs, ros-foxy-diagnostic-updater, ros-foxy-geographic-msgs, ros-foxy-geometry-msgs, ros-foxy-gps-msgs, ros-foxy-marti-nav-msgs, ros-foxy-rcl-interfaces, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclpy, ros-foxy-sensor-msgs, ros-foxy-swri-math-util, ros-foxy-swri-roscpp, ros-foxy-tf2, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-foxy-swri-transform-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libgeos-dev, libproj-dev, libyaml-cpp-dev, python3-numpy, ros-foxy-cv-bridge, ros-foxy-diagnostic-msgs, ros-foxy-diagnostic-updater, ros-foxy-geographic-msgs, ros-foxy-geometry-msgs, ros-foxy-gps-msgs, ros-foxy-launch-xml, ros-foxy-marti-nav-msgs, ros-foxy-rcl-interfaces, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclpy, ros-foxy-sensor-msgs, ros-foxy-swri-math-util, ros-foxy-swri-roscpp, ros-foxy-tf2, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-py, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Description: The swri_transform_util package contains utility functions and classes for transforming between coordinate frames.
